Subject: Re: p2: Accept-Language missing, empty or no match

From: Mark Nottingham <[email-masked]>
Date: Tue, 7 May 2013 15:14:34 +1000

Proposal updated in ticked and marked for -23.

<http://trac.tools.ietf.org/wg/httpbis/trac/ticket/448#comment:4>

Thanks,

On 01/05/2013, at 10:35 AM, Bjoern Hoehrmann <[email-masked]> wrote:

> * Mark Nottingham wrote:
>> Good point. 
>> 
>> how about:
>> 
>> """
>> A request without any Accept-Language header field implies that the user 
>> agent will accept any language in response. If an Accept-Language header 
>> field is present in a request and none of the available representations 
>> for the response have a language tag that is listed as acceptable, the 
>> origin server MAY either disregard the Accept header field by treating 
>> the response as if it is not subject to content negotiation, or honor 
>> the Accept header field by sending a 406 (Not Acceptable) response. 
>> However, the latter is not encouraged, as doing so can prevent users 
>> from accessing content that they might be able to use (with translation 
>> software, for example).
>> """
> 
> Two cases of s/Accept/Accept-Language/. "MAY either ... or ..." is bad
> usage of RFC 2119 terms. And I don't like the implication that sending
> anything other than 406 is "not honoring" the Accept-Language header.
> But this is close enough to say "works for me".
> 
> Thanks,
> -- 
> Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
> Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
> 25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/ 
> 

--
Mark Nottingham   http://www.mnot.net/